var gadgetTimeout;

////////////////////////////////////////////////////////////////////////////////
// Initialisation
////////////////////////////////////////////////////////////////////////////////

window.onload = function()
{
	System.Machine.PowerStatus.powerLineStatusChanged = Rafraichir;
	System.Gadget.Flyout.file = "Flyout.html";
	zoneClick.onmouseup = ouvrirFlyout;
	Rafraichir();
	popupAlerte();	
}

////////////////////////////////////////////////////////////////////////////////
// Battery objects
////////////////////////////////////////////////////////////////////////////////
function Batterie()
{
	this.disponible = System.Machine.PowerStatus.batteryPercentRemaining;
	this.charge = System.Machine.PowerStatus.isBatteryCharging;
	this.secteur = System.Machine.PowerStatus.isPowerLineConnected;
}

////////////////////////////////////////////////////////////////////////////////
// Display
////////////////////////////////////////////////////////////////////////////////
function Rafraichir()
{
	var batterie = new Batterie();
	
	if (batterie.secteur) 
	{
		imageBatterie.src = "Images/Charging.png";
		statutSecteur.style.display = "block";
		niveauBatterie.style.display = "none";
		disponibilite.innerText = "available";
	}
	else if (!batterie.secteur)
	{
		statutSecteur.style.display = "none";
		niveauBatterie.style.display = "block";
		disponibilite.innerText = "remaining";
		imageBatterie.src = "Images/full.png";
		Statut();		
	}

	pourcentage.innerText = batterie.disponible + "%";

	secteur.innerText = (batterie.disponible == 100 && !batterie.charge) ?
		"Fully Charged" : "Plugged In";

	chargement.innerText = batterie.charge ? "Charging" :
		((batterie.disponible < 100) ? "Waiting" : "AC Power");
	
	gadgetTimeout = setTimeout(Rafraichir, 1000);
}

////////////////////////////////////////////////////////////////////////////////
// Statut, dtermine le niveau de la batterie
////////////////////////////////////////////////////////////////////////////////

function Statut()
{
	var pourcent = System.Machine.PowerStatus.batteryPercentRemaining;
	var secteur = System.Machine.PowerStatus.isPowerLineConnected;
	
	{
		if(pourcent >= 95)
		{
			niveau.innerText = "Full";		
		}
		else
		{
			if(pourcent > 80)
			{
				niveau.innerText = "High";
				imageBatterie.src = "Images/8.png";
			}
			else
			{
				if(pourcent > 70)
				{
				niveau.innerText = "High";
				imageBatterie.src = "Images/7.png";
				}
				else
				{
					if(pourcent > 60)
					{
					niveau.innerText = "High";
					imageBatterie.src = "Images/7.png";
					}
					else
					{
						if(pourcent > 50)
						{
						niveau.innerText = "Middle";
						imageBatterie.src = "Images/6.png";
						}
						else
						{
							if(pourcent > 40)
							{
							niveau.innerText = "Middle";
							imageBatterie.src = "Images/5.png";
							}
							else
							{
								if(pourcent > 30)
								{
								niveau.innerText = "Middle";
								imageBatterie.src = "Images/4.png";
								}
								else
								{
									if(pourcent > 20)
									{
									niveau.innerText = "Low";
									imageBatterie.src = "Images/3.png";
									}
									else
									{
										if(pourcent > 15)
										{
										niveau.innerText = "Very Low";
										imageBatterie.src = "Images/2.png";
										}
										else
										{
											if(pourcent > 10)
											{
											niveau.innerText = "Very Low";
											imageBatterie.src = "Images/1.png";
											}
											else
											{
												if(pourcent > 5)
												{
												niveau.innerText = "Critical";
												imageBatterie.src = "Images/1.png";
												}
												else
												{
												niveau.innerText = "Empty";
												imageBatterie.src = "Images/0.png";
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
}

////////////////////////////////////////////////////////////////////////////////
// Flyout
////////////////////////////////////////////////////////////////////////////////

function ouvrirFlyout()
{
	zoneClick.blur();
	System.Gadget.Flyout.show = true;
}
